# Finalize the upload process for a file

Finalizes the upload of a file after all chunks have been uploaded. Requires the metadata returned during the creation of the upload URL that identifies the current upload session. When finalizing the upload process, the action configured during the creation of the upload URL is performed.

Endpoint: POST /api/v2.0/upload/finalize
Version: v2.0
Security: OAuth2

## Request fields (application/json-patch+json):

  - `upload_identifier` (string,null)
    The identifier of the upload session returned during the request for the upload URL.

  - `storage_identifier` (string,null)
    The identifier of the upload storage returned during the request for the upload URL.

  - `file_identifier` (string,null)
    The file identifier returned during the request for the upload URL.

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 404 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 200 fields

## Response 401 fields

## Response 500 fields
